.block--newsletter {
    max-width: 76rem;
    margin: 0 auto 1.5rem;
    padding: 1.5rem;
}

.block--newsletter .webform-submission-newsletter-form{
    padding: 2rem;
    background-color: var(--color-gray-100);
    border-radius: var(--border-radius);
}
@media(width > 48rem){
    .block--newsletter .webform-submission-newsletter-form{
        padding: 2.75rem 3.75rem;
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 2rem;
    }
}

.block--newsletter .webform-submission-newsletter-form .form-item.form-type-processed-text{
    margin: 0;
    font-size: 0.875rem;
}

.block--newsletter .webform-submission-newsletter-form .form-item.form-type-processed-text h2{
    margin: 0 0 0.65rem;
    font-weight: 400;
    font-size: 1.25rem;
}

.block--newsletter .webform-submission-newsletter-form .form-item.form-type-email{
    margin-top: 0;
}

.block--newsletter .webform-submission-newsletter-form .form-item.form-type-email > input{
    font-size: 0.875rem;
    margin-top: 0;
    padding: 0.5rem 0.75rem;
    width: 100%;
    border-radius: 5px;
    border: 1px solid #767676;
}

.block--newsletter .webform-submission-newsletter-form .form-type-checkbox{
    display: flex;
    align-items: flex-start;
    gap: 0.35rem;
}

.block--newsletter .webform-submission-newsletter-form .form-type-checkbox label{
    font-size: 0.875rem;
}

.block--newsletter .webform-submission-newsletter-form .form-type-checkbox input{
    width: 1.125rem;
    height: 1.125rem;
    border: 1px solid #b1b2b4;
}

.block--newsletter .webform-submission-newsletter-form > fieldset{
    margin: 0;
    border: 0;
    padding: 0;
}

.block--newsletter .webform-submission-newsletter-form > fieldset > legend{
    display: none;
}

.block--newsletter .webform-submission-newsletter-form .form-actions{
    margin-bottom: 0;
}

.block--newsletter .webform-submission-newsletter-form .form-actions > input.form-submit{
    cursor: pointer;
    border: 1px solid var(--color-primary);
    border-radius: var(--border-radius);
    padding: 0.75rem 1.125rem;
    background-color: var(--color-primary);
    color: white;
    font-size: 0.9375rem;
    font-weight: 700;
    width: fit-content;
}

.block--newsletter .webform-submission-newsletter-form .form-actions > input.form-submit:hover{
    opacity: 0.8;
}

.block--newsletter .webform-submission-newsletter-form .form-actions > input.form-submit.disabled{
    color: var(--color-gray);
    background-color: var(--color-gray-200);
    border-color: var(--color-gray-200);
    pointer-events: none;
    cursor: default;
}
